Skip to main content
GET
/
events
Fetch events
curl --request GET \
  --url https://sandbox.api.btdx.io/events \
  --header 'authorization: <authorization>'
{
  "_meta": {
    "_count": 123,
    "_page": {
      "_pageNumber": 123,
      "_pageSize": 123,
      "_totalElements": 123,
      "_totalPages": 123
    }
  },
  "events": [
    {
      "id": "<string>",
      "ownerAppId": "<string>",
      "eventGroup": {
        "_ref": "<string>",
        "_ids": [
          "<string>"
        ]
      },
      "name": "<string>",
      "code": "<string>",
      "active": true,
      "expectedStartTime": "2023-11-07T05:31:56Z",
      "actualStartTime": "2023-11-07T05:31:56Z",
      "actualEndTime": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "modifiedAt": "2023-11-07T05:31:56Z",
      "participants": {
        "_ref": "<string>",
        "_ids": [
          "<string>"
        ]
      },
      "externalReferences": {
        "_ref": "<string>",
        "_ids": [
          "<string>"
        ]
      }
    }
  ],
  "eventGroups": [
    {
      "id": "<string>",
      "name": "<string>",
      "subcategory": {
        "_ref": "<string>",
        "_ids": [
          "<string>"
        ]
      },
      "createdAt": "2023-11-07T05:31:56Z",
      "modifiedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "subcategories": [
    {
      "id": "<string>",
      "name": "<string>",
      "category": {
        "_ref": "<string>",
        "_ids": [
          "<string>"
        ]
      },
      "createdAt": "2023-11-07T05:31:56Z",
      "modifiedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "categories": [
    {
      "id": "<string>",
      "name": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "modifiedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "participants": [
    {
      "id": "<string>",
      "code": "<string>",
      "name": "<string>"
    }
  ],
  "externalReferences": [
    {
      "id": 123,
      "source": "<string>",
      "externalReference": "<string>"
    }
  ]
}

Headers

authorization
string
required

Header with the accessToken for the current session

Query Parameters

ids
string[]

list of event ids

ownerAppIds
string[]

List of IDs of the apps that created the Events

categoryIds
string[]

list of category ids

subcategoryIds
string[]

list of sub-category ids

eventGroupIds
string[]

list of event group ids

starting
enum<string>

Live, Today, Later, Range

Available options:
Live,
Today,
Later,
Range
fromDateTime
string<date-time>

starting from date

toDateTime
string<date-time>

starting to date

active
boolean

Whether the event is active or not

page
integer
default:0

Zero-based page index (0..N)

size
integer
default:20

The size of the page to be returned

sort
string[]

Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

Response

OK

_meta
object
events
object[]
eventGroups
object[]
subcategories
object[]
categories
object[]
participants
object[]
externalReferences
object[]